Subject: Re: interactive rebase not rebasing

From: Andreas Ericsson <[email-masked]>
Date: Wed, 01 Oct 2008 17:26:39 +0200

Stephen Haberman wrote:
> 
> But given /this/ scenario (hehe), with the implementation's existing
> explicit usage of "--left-right --cherry-pick" to drop no-op commits,
> but then it's forgetting of this information later, leading to `git
> rebase` not performing a rebase at all, I think it is an obvious bug,
> and one that can be fixed without changing any of `git rebase`s
> existing semantics.
> 

Agreed.

>> Merely that you should think hard about it and then make sure it
>> doesn't break anything people are already doing today with the current
>> toolset.
> 
> I've attempted to do that. Now that I sent in the patch, if you could
> review it, I would appreciate your feedback.

I'm heading home from work now. I'll look it over tonight or tomorrow
morning. Thanks for the confidence :-)

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231